POST api/correspondence/translate/buyer/prefs?suid={suid}&id_i={id_i}
Request Information
URI Parameters
| Name | Description | Type | Additional information |
|---|---|---|---|
| suid | string |
Required |
|
| id_i | integer |
Required |
Body Parameters
SetPrefsRequest| Name | Description | Type | Additional information |
|---|---|---|---|
| scope |
'order' | 'user' (только для покупателя; для продавца поле игнорируется). |
string |
None. |
| autoTranslate | boolean |
None. |
|
| targetLang | string |
None. |
Request Formats
application/json, text/json
Sample:
{
"scope": "sample string 1",
"autoTranslate": true,
"targetLang": "sample string 3"
}
application/x-www-form-urlencoded
Sample:
Sample not available.
application/xml, text/xml
Sample:
<SetPrefsRequest> <scope>sample string 1</scope> <autoTranslate>true</autoTranslate> <targetLang>sample string 3</targetLang> </SetPrefsRequest>
Response Information
Resource Description
IHttpActionResultNone.
Response Formats
application/json, text/json
Sample:
Sample not available.